<?php
require_once(dirname(dirname(__FILE__))."/paineladm/funcoes.php");
include_once('relatorios_componentes.php');

$pathlocal = dirname(__FILE__);
//require_once(dirname($pathlocal)."/paineladm/classes/fpdf.class.php");
//require_once(dirname($pathlocal)."/paineladm/classes/sessao.class.php");
$material = $_COOKIE['material'];
$sessao = new sessao();
$anoCorrente=$sessao->getVar('anocorrente');
$senhaCli=$sessao->getVar('iduser');
$idLabo=$sessao->getVar('idLabo');
$inicio=$sessao->getVar('inicio');
$final=$sessao->getVar('final');
$material = $_COOKIE['material'];
$nomeOperador=$sessao->getVar('nomeuser');
//$objetocalculo = new calculos(); //calcula todos valores finais
$anoatual=date("Y");
$dataHoje=date("d/m/Y");
$dataAmericana=date("Y/m/d");
$dataAmericanaHoje=date("Y/m/d");
$mes=date("m");
$mostrarGeral="SIM";
$dataDiario=$sessao->getVar('controle');
$generica=new tabelagenerica();

		//aqui vai criar as linhas do relatorio, que depois imprime tudo numa vez
		$valorNovo=0;
		$valorNovo++;
		$matrizDiario[$valorNovo][0]='-->>>Amostras que entraram no dia '.$dataDiario;
        //ENTRA DE QUAKQUER MANEIRA

		$generica->tabela="ficha,remetente,especies,cultivar";
			$generica->campos_valores = array(
			"fic_amostra" => NULL,
			"fic_amostra_previa" => NULL,
			"fic_custo" => NULL,
			"fic_pagou" => NULL,
			"fic_id" => NULL,
			"prd_nome" => NULL,
			"esp_nome" => NULL,


			);
		$generica->extras_select ="  where esp_id=ctv_especie and ctv_id=fic_cultivar and fic_produtor=prd_id and date_format(fic_dt_entrada, '%d/%m/%Y') = '".$dataDiario."'   and fic_labo=".$idLabo." order by prd_nome";
	    $generica->selecionaCampos($generica);
        $remetente0='@';
		while ($resgenerica = $generica->retornaDados()):
		    $remetente1=$resgenerica->prd_nome;
		    $amostraLong =$resgenerica->fic_id;
		    $pagou =$resgenerica->fic_pagou;
            if($remetente1!=$remetente0):
               $somaPagou=0;			
               $somaValor=0;			
               $remetente0=$remetente1;
			   $valorNovo++;
			endif;             
            $custo=$resgenerica->fic_custo;
			$somaValor+=$custo;
            if($pagou=='SIM')$somaPagou+=$custo; 

            $matrizDiario[$valorNovo][0]="  Cliente:". $resgenerica->prd_nome.  " >> Valor da(s) amostra(s)=".$somaValor.' >> Pagou='.$somaPagou; 
		endwhile;	

       //pesquisar pagamentos xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx		
		$valorNovo++;
		$matrizDiario[$valorNovo][0]='-->>>Pagamentos registrados no dia '.$dataDiario;
		//ENTRA DE QUAKQUER MANEIRA
		$generica=new tabelagenerica();
		$generica->tabela="pagamento,remetente";
		$generica->campos_valores = array(
				"pag_valor" => NULL,
				"pag_historico" => NULL,
				"pag_operador" => NULL,
				"prd_nome" => NULL,
		);
		$generica->extras_select =" where date_format(pag_datacad, '%d/%m/%Y') = '".$dataDiario."' and   pag_id_cliente=prd_id and pag_id_lab=".$idLabo;
	    $generica->selecionaCampos($generica);
		$somaPagamento=0;
		while ($resgenerica = $generica->retornaDados()):
	        $valorNovo++;
		    $somaPagamento+=$resgenerica->pag_valor;
		$matrizDiario[$valorNovo][0]='Cliente:'.$resgenerica->prd_nome. ' >>  Valor Pago='.$resgenerica->pag_valor . ' >> Hist.:'.$resgenerica->pag_historico. ' >> Operador: '.$resgenerica->pag_operador;
	    endwhile;				

	    $valorNovo++;
		$matrizDiario[$valorNovo][0]='Soma dos pagamentos do dia '. $dataDiario ."   Soma=".$somaPagamento;

 
  
//cria o vetor cabecalho das colunas///////////////////////////
$matrizCabecalho[0]="VALORES ENCONTRADOS";
//define o vetor larguras
$larguraGeral=279;
$largura[0]=$larguraGeral;

$orientacao="L";
$salto=40;
$titulo="Amostras recebidas e valores recebidos em ".$dataDiario;
corpo($matrizDiario,$matrizCabecalho,$largura,$orientacao,$salto,$titulo);


?>
